Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029962
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-05-21 16:202015-06-03 18:55
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7eae99f7fe79
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029962: Wrong storage bin can be selected in Pending Goods Receipt window

DescriptionWrong storage bin can be selected in Pending Goods Receipt window
Steps To ReproduceAs group admin role:
   Create a purchase order for F%B España, S.A. and book it
   Go to Pending Goods Receipt, select the order line, put the cursor in the Locator field (below the Date) and press Intro
   Check all the locators are shown, even the ones that belong to a warehouse of F&B US, Inc.
   Select a storage bin from East Coast
   Process it and check the generated goods receipt has a storage bin that do not belong to the document's organization
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028540 closedreinaldoguerra There is no filter in the locator selector in Pending Goods Receipt window 
related to defect 0030959 newTriage Finance Pending Goods Receipt: Locator selector different behavior 

-  Notes
(0077771)
AtulOpenbravo (developer)
2015-05-26 21:49

Test Plan
- Login as Group Admin Role.
- Create a purchase order for F&B España, S.A. and book it
- Go to Pending Goods Receipt, select the order line, put the cursor in the Locator field (below the Date) and press Enter.
- Check all the locators are shown only belonging to F&B España, S.A child Organization(F&B España, S.A does not have its own warehouse and storage bins.).
(0077989)
hgbot (developer)
2015-06-02 16:36

Repository: erp/devel/pi
Changeset: 7eae99f7fe797a6f02ea47ea7a526ccae232c2a9
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 27 01:29:05 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7eae99f7fe797a6f02ea47ea7a526ccae232c2a9 [^]

Fixes Issue 29962:Wrong storage bin can be selected in Pending Goods Receipt
window

inpadOrgId is passed as a input parameter to filter locator in onloadfunctions
method. Session variable Locator.adorgid is set to this parameter value.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.html
M src/org/openbravo/erpCommon/info/Locator.java
---
(0077990)
vmromanos (developer)
2015-06-02 16:37

Code review + testing OK
(0078039)
hudsonbot (developer)
2015-06-03 18:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/084e25f8f2cd [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-21 16:20 ngarcia New Issue
2015-05-21 16:20 ngarcia Assigned To => Triage Finance
2015-05-21 16:20 ngarcia Modules => Core
2015-05-21 16:20 ngarcia Triggers an Emergency Pack => No
2015-05-21 16:21 ngarcia Issue Monitored: networkb
2015-05-21 16:33 ngarcia Relationship added related to 0028540
2015-05-22 13:59 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-05-22 13:59 AtulOpenbravo Status new => scheduled
2015-05-26 21:49 AtulOpenbravo Note Added: 0077771
2015-06-02 16:36 hgbot Checkin
2015-06-02 16:36 hgbot Note Added: 0077989
2015-06-02 16:36 hgbot Status scheduled => resolved
2015-06-02 16:36 hgbot Resolution open => fixed
2015-06-02 16:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7eae99f7fe797a6f02ea47ea7a526ccae232c2a9 [^]
2015-06-02 16:37 vmromanos Review Assigned To => vmromanos
2015-06-02 16:37 vmromanos Note Added: 0077990
2015-06-02 16:37 vmromanos Status resolved => closed
2015-06-03 18:55 hudsonbot Checkin
2015-06-03 18:55 hudsonbot Note Added: 0078039
2015-09-29 13:07 vmromanos Relationship added related to 0030959


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker